> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 도메인 업데이트

> 고객용 안전 도메인 설정을(를) 업데이트합니다.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json PATCH /v1/public/accounts/{account_id}/domains/{domain}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains/{domain}:
    patch:
      tags:
        - public-accounts
        - public-domains
      summary: 도메인 업데이트
      description: 고객용 안전 도메인 설정을(를) 업데이트합니다.
      operationId: >-
        update_public_domain_v1_public_accounts__account_id__domains__domain__patch
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: domain
          required: true
          schema:
            title: Domain
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DomainUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainUpdateResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainUpdateRequest:
      additionalProperties: false
      description: 고객용 도메인 구성을 업데이트하기 위한 스키마.
      properties:
        auto_renew:
          anyOf:
            - type: boolean
            - type: 'null'
          title: 자동 갱신
        redirect_mode:
          anyOf:
            - enum:
                - '301'
                - '302'
                - iframe
              type: string
            - type: 'null'
          description: 리디렉션 생성 또는 업데이트 시 사용할 리디렉션 모드
          title: 리디렉션 모드
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          description: HTTPS 리디렉션 URL 또는 지우려면 null
          title: 리디렉션 URL
        workspace_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          title: 워크스페이스 Id
      title: DomainUpdateRequest
      type: object
    DomainUpdateResponse:
      properties:
        auto_renew:
          title: 자동 갱신
          type: boolean
        id:
          format: uuid4
          title: ID
          type: string
        redirect_mode:
          anyOf:
            - enum:
                - '301'
                - '302'
                - iframe
              type: string
            - type: 'null'
          title: 리디렉션 모드
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          title: 리디렉션 URL
        workspace_id:
          format: uuid4
          title: 워크스페이스 Id
          type: string
      required:
        - id
        - workspace_id
        - auto_renew
      title: DomainUpdateResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````